import type { CreateAppConfig, CreateComposableApp, MountOptions, Cleanup } from "@leanjs/core";
import type { Component } from "vue";
import type { RouteRecordRaw, RouterScrollBehavior, parseQuery, stringifyQuery } from "vue-router";
export { CreateAppConfig, MountOptions, Cleanup };
interface VueRouterConfig {
    routes?: RouteRecordRaw[];
    scrollBehavior?: RouterScrollBehavior;
    parseQuery?: typeof parseQuery;
    stringifyQuery?: typeof stringifyQuery;
    linkActiveClass?: string;
    linkExactActiveClass?: string;
}
interface CreateRemoteVueConfig extends CreateAppConfig {
    router?: VueRouterConfig;
}
export declare const createApp: (App: Component, { packageName, router: { routes, ...routerConfig }, }: CreateRemoteVueConfig) => CreateComposableApp;
